package AccordionBus;

import java.awt.datatransfer.DataFlavor;
import java.awt.datatransfer.Transferable;
import java.awt.datatransfer.UnsupportedFlavorException;
import java.io.IOException;

// Класс для реализации поддержки передачи данных типа IDrawingDoors
public class IDrawingDoorsTransferable implements Transferable {
    private IDrawingDoors IDrawingDoorsObject;
    public static final DataFlavor IDrawingDoorsDataFlavor = new DataFlavor(IDrawingDoors.class, "IDrawingDoors");

    public IDrawingDoorsTransferable(IDrawingDoors IDrawingDoorsObject) {
        this.IDrawingDoorsObject = IDrawingDoorsObject;
    }

    @Override
    public DataFlavor[] getTransferDataFlavors() {
        return new DataFlavor[] {IDrawingDoorsDataFlavor};
    }

    @Override
    public boolean isDataFlavorSupported(DataFlavor flavor) {
        return IDrawingDoorsDataFlavor.equals(flavor);
    }

    @Override
    public Object getTransferData(DataFlavor flavor) throws UnsupportedFlavorException, IOException {
        if (isDataFlavorSupported(flavor)) {
            return IDrawingDoorsObject;
        }
        else {
            throw new UnsupportedFlavorException(flavor);
        }
    }
}
